# Method: products.update

- [HTTP request](https://developers.google.com/shopping-content/reference/rest/v2.1/products/update#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/shopping-content/reference/rest/v2.1/products/update#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/shopping-content/reference/rest/v2.1/products/update#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/shopping-content/reference/rest/v2.1/products/update#body.request_body)
- [Response body](https://developers.google.com/shopping-content/reference/rest/v2.1/products/update#body.response_body)
- [Authorization scopes](https://developers.google.com/shopping-content/reference/rest/v2.1/products/update#body.aspect)
- [Try it!](https://developers.google.com/shopping-content/reference/rest/v2.1/products/update#try-it)

Updates an existing product in your Merchant Center account. Only updates attributes provided in the request.

### HTTP request

`PATCH https://shoppingcontent.googleapis.com/content/v2.1/{merchantId}/products/{productId}`

### Path parameters

| Parameters ||
|---|---|
| `merchantId` | `string` The ID of the account that contains the product. This account cannot be a multi-client account. |
| `productId` | `string` The `https://developers.google.com/shopping-content/reference/rest/v2.1/products#Product.FIELDS.id` of the product for which to update. |

### Query parameters

| Parameters ||
|---|---|
| `updateMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` The comma-separated list of product attributes to be updated. Example: `"title,salePrice"`. Attributes specified in the update mask without a value specified in the body will be deleted from the product. *You must specify the update mask to delete attributes.* Only top-level product attributes can be updated. If not defined, product attributes with set values will be updated and other attributes will stay unchanged. |

### Request body

The request body contains an instance of `https://developers.google.com/shopping-content/reference/rest/v2.1/products#Product`.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/shopping-content/reference/rest/v2.1/products#Product`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/content`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).